Bug 77685 - DOC/DOCX IMPORT: Wrong import of clipped OLE object in footer (missing functionality)
Summary: DOC/DOCX IMPORT: Wrong import of clipped OLE object in footer (missing functi...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: DOCX-OLE-Objects
  Show dependency treegraph
 
Reported: 2014-04-20 03:25 UTC by Mike Kaganski
Modified: 2019-02-05 21:18 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Test files and PDFs (126.30 KB, application/zip)
2014-04-20 03:25 UTC, Mike Kaganski
Details
Word 2010 VS Libo 4.3 beta (45.76 KB, image/png)
2014-06-07 02:18 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Kaganski 2014-04-20 03:25:08 UTC
Created attachment 97631 [details]
Test files and PDFs

The attachment contains the same document saved as DOC and DOCX by MS Word.
They contain an OLE object in footer, that is clipped and adjusted to fit entire page area.

Opening the documents (both DOC and DOCX) in LO 3.3.0.4-4.2.4.1 and 4.3.0.0.alpha0+ (Build ID: bde1e4dce3e036d2265e22910156ca6345b596ab) under both Win7x64 and Ubuntu 13.10 x64 results in object being not clipped (this option is apparently absent in LO) and scaled wrongly.
This problem is present in OOo 3.3.0 and all versions of AOO, including 4.1.0.beta.

Also in the attachment are PDFs made with MSO and LO, to show the problem.

While this could be considered enhancement request to support new feature, this is a problem impairing interoperability with MSO, so I set it to NORMAL.
Comment 1 Yousuf Philips (jay) (retired) 2014-06-07 02:16:41 UTC
Confirmed in Linux Mint in 3.3.0, 4.2.4 and 4.3 beta.
Comment 2 Yousuf Philips (jay) (retired) 2014-06-07 02:18:04 UTC
Created attachment 100581 [details]
Word 2010 VS Libo 4.3 beta
Comment 3 A (Andy) 2015-12-27 20:33:19 UTC
Reproducible with LO 5.1.0.1, Win 8.1 (even if it looks now a little bit different to the png attachment from LO 4.3 beta)
Comment 4 QA Administrators 2017-01-03 19:57:34 UTC Comment hidden (obsolete)
Comment 5 Mike Kaganski 2017-01-04 20:26:30 UTC
Since https://cgit.freedesktop.org/libreoffice/core/commit/?id=bb646c1472d3b77066b01128baf1c9cafdb40233 (landed in 5-2), DOCX is loaded correctly. There's no UI, though.

Still the same problem with DOC as of 5.3.0.1.
Comment 6 QA Administrators 2018-01-05 03:40:37 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug